# -*- coding: utf-8 -*-
# This file is part of the investment-module from m-ds for Tryton.
# The COPYRIGHT file at the top level of this repository contains the
# full copyright notices and license terms.

from trytond.pool import Pool
from .chart import Chart
from .asset import Asset
from .update_wiz import UpdateChartWizard
from .watchlist import WatchlistEntry


def register():
    Pool.register(
        Asset,
        Chart,
        module='investment_chart', type_='model')
    Pool.register(
        UpdateChartWizard,
        module='investment_chart', type_='wizard')
    Pool.register(
        WatchlistEntry,
        module='investment_chart', type_='model',
        depends=['investment_watchlist'])
