# -*- coding: utf-8 -*-
# This file is part of the investment-module from m-ds for Tryton.
# The COPYRIGHT file at the top level of this repository contains the
# full copyright notices and license terms.

from trytond.model import fields
from trytond.pool import PoolMeta


class WatchlistEntry(metaclass=PoolMeta):
    __name__ = 'investment_watchlist.line'

    chart_img = fields.Function(fields.Binary(
        string='Chart', readonly=True), 'on_change_with_chart_img')

    @fields.depends('asset', '_parent_asset.chart_reference')
    def on_change_with_chart_img(self, name=None):
        """ get image from asset
        """
        if self.asset:
            if self.asset.chart_reference:
                return self.asset.chart_reference[0].imgdata

# end WatchlistEntry
